/* === Header1: цвета иконок по умолчанию (белые) === */
/*.header .header--burger { stroke: white; }*/
/*.header .header__icons--tel,*/
/*.header .header__icons--bad { fill: white; }*/

/* === Header-sticky: фиксированный, изначально скрыт === */
.header-sticky {
	transform: translateY(-100%);
	transition: transform 0.3s ease;
}

.header-sticky .header-inner {
	background: rgba(0, 0, 0, 0.3);
	background-blend-mode: luminosity;
	border: 1px solid rgba(255, 255, 255, 0.15);
	backdrop-filter: blur(46.8851px);
}

.header-sticky.header-sticky--visible {
	transform: translateY(0);
}

/* Иконки в header-sticky всегда синие */
/*.header-sticky .header--burger { stroke: #0070BA; }*/
/*.header-sticky .header__icons--tel,*/
/*.header-sticky .header__icons--bad { fill: #0070BA; }*/

/* Mobile-specific для header-sticky */
@media (max-width: 639px) {
	.header-sticky {
		filter: drop-shadow(0px 4px 18.8px rgba(0, 0, 0, 0.14));
		transform: translateY(100%);
		background: rgba(0, 0, 0, 0.40);
		background-blend-mode: luminosity;
		border: 1px solid rgba(255, 255, 255, 0.15);
		backdrop-filter: blur(46.8851px);
	}

	.header-sticky .header-inner {
		background: none;
		border: none;
		backdrop-filter: none;
	}
}
